Package Details: gamemode 1.1-2

Git Clone URL: https://aur.archlinux.org/gamemode.git (read-only)
Package Base: gamemode
Description: A daemon/lib combo for Linux that allows games to request a set of optimisations be temporarily applied to the host OS.
Upstream URL: https://github.com/FeralInteractive/gamemode.git
Licenses: BSD 3-Clause License (Revised)
Provides: gamemode
Submitter: ysblokje
Maintainer: ysblokje
Last Packager: ysblokje
Votes: 31
Popularity: 9.963408
First Submitted: 2018-04-10 10:35
Last Updated: 2018-05-18 06:00

Pinned Comments

ysblokje commented on 2018-04-11 11:12

For compatibility with 32bit games see :

https://aur.archlinux.org/packages/lib32-gamemode/

Latest Comments

Hen commented on 2018-05-07 20:33

To the users below who had problems starting the service, this is how i managed to make it work.

I installed using makepkg -si, afterwards i ran 'systemctl --user start gamemoded', but it gave me an error.

So i ran 'gamemoded -d' and it launched, then i shut it down using the system monitor and then i ran 'systemctl --user enable gamemoded', and now it seems to startup fine using 'gamemoded' or 'systemctl --user start gamemoded'.

still no gamemode.ini file tho.

ChemBro commented on 2018-04-28 21:32

I get this: https://pastebin.com/j66hH0CD

Apparently I am missing some gamemode.ini. How do I fix this?

ysblokje commented on 2018-04-18 12:46

okay @as3bus, I haven't been able to reproduce it. So for now I just advice you to change the files attributes manually.

as3mbus commented on 2018-04-18 03:29

@ysblokje no,i used git repositories from AUR

i cloned the git repo from address above and use makepkg -si command to install using PKGBUILD from it.

ysblokje commented on 2018-04-17 15:25

@as3mbus, you mean you used the PKGBUILD in the gamemode sourcetree? If so, please use the one from AUR. The one in the sourcetree was just an initial example.

as3mbus commented on 2018-04-17 12:51

@ysblokje yes it is. is there any wrong process that i did in installation ? the method i use to install is using makepkg -si at directory of cloned git repositories

or should i just add some permission for other to execute the command ?

ysblokje commented on 2018-04-16 13:38

@as3mbus, that explains the error you are getting, only root is allowed to run it. Is this on arch?

@Freso, I see your point(s). I shall see what I can do with them.

as3mbus commented on 2018-04-16 11:41

@ysblokje it's -rwxr--r-- 1 root root 22392 Apr 15 17:47 /usr/bin/gamemoded

Freso commented on 2018-04-16 09:22

The user .service unit file should be installed to /usr/lib/systemd/user/ rather than under /etc/*, since it's controlled by the package manager and not a configuration file per se. (If users want to customise the unit file, they should make overrides in either /etc/… or ~/.config/systemd/…)

Also, please rename the downloaded source file to something sensible and unique (so it doesn't clash with version 1.0 of some other package); see https://wiki.archlinux.org/index.php/PKGBUILD#source

ysblokje commented on 2018-04-15 12:37

@as3mbus , could you check the file permissions of /usr/bin/gamemoded ? they should be something like :

-rwxr-xr-x 1 root root 22392 15 apr 14:32 /usr/bin/gamemoded

All comments